pro go_trace_mosaic, limit, csize=csize, waves=waves
;+
;   Name: go_trace_mosaic
;
;   Purpose: driver for trace_build_mosaic -> WWW
;
;   Method:
;      call last_trace & trace_build_mosaic for multiple wavelenths
;
;   History:
;      28-Apr-1998 - S.L.Freeland - apply SSW techniques to TRACE
;       1-May-1998 - S.L.Freeland - split logic->trace_build_mosaic
;-
mosaic_dir=concat_dir('path_http','mosaic_archive')  ; where to stickem
if not keyword_set(csize) then csize=1024            ; default mosaic size

if not keyword_set(waves) then swaves=['171','195','284','1216','1600']
waves=fix(swaves)

for i=0,n_elements(waves)-1 do begin
   delvarx,index,data                                   ; cleanup variables
   last_trace,index,data,limit, wave=waves(i),/mosaic   ; read mosaic set for wave(i)
   trace_build_mosaic,index, data, size=csize,/autocolor           ; mosaic via MAPPING
   dtemp=!d.name
   data=tvrd()
   wdef,im=data,/zbuf & tv,data                        ; mosaic-> Z-buffer
   zbuff2file,concat_dir(mosaic_dir,'mosaic_' +      $ ; Z-buffer -> WWW
   swaves(i) + '_' + time2file(index(0)) + '_' + $
   strtrim(csize,2) + '.gif'), r,g,b
   set_plot,dtemp
endfor

end
