function gtt_wave_tru, index, dph=dph
;+
;NAME:
;	gtt_wave_tru
;PURPOSE:
;	Compute and return wave length name from index of an image.
;SAMPLE CALLING SEQUENCE:
;	wlnam = gtt_wave_tru(index)
;HISTORY:
;	Written 24-Mar-98 by F. Zele
;	28-Apr-98 (MDM) - Added dph keyword pass through
;        5-May-98 (SLF) - scalarize single element return
;-
;

qs=strarr(2,18)
qs=[[ '0','D(284)']    $
   ,[ '1','D(284)']    $
   ,[ '2','D(284)']    $
   ,[ '9','C(195)']    $
   ,['10','C(195)']    $
   ,['11','C(195)']    $
   ,['18','B(UV)' ]    $
   ,['19','B(UV)' ]    $
   ,['20','B(UV)' ]    $
   ,['27','A(171)']    $
   ,['28','A(171)']    $
   ,['29','A(171)']    $
   ,['18','Spare' ]    $
   ,['19','Spare' ]    $
   ,['20','Spare' ]    $
   ,['18','Current']   $
   ,['19','Current']   $
   ,['20','Current']]
fw1=strarr(2,18)
fw1=[[ '18','1(open)'] $
    ,[ '19','1(open)'] $
    ,[ '20','1(open)'] $
    ,[ '54','2(1600)'] $
    ,[ '55','2(1600)'] $
    ,[ '56','2(1600)'] $
    ,[ '90','3(Al)'  ] $
    ,[ '91','3(Al)'  ] $
    ,[ '92','3(Al)'  ] $
    ,['126','4(1550)'] $
    ,['127','4(1550)'] $
    ,['128','4(1550)'] $
    ,[ '18','Spare'  ] $
    ,[ '19','Spare'  ] $
    ,[ '20','Spare'  ] $
    ,[ '18','Current'] $
    ,[ '19','Current'] $
    ,[ '20','Current']]
fw2=strarr(2,18)
fw2=[[ '16','2(1216)'] $
    ,[ '17','2(1216)'] $
    ,[ '18','2(1216)'] $
    ,[ '52','3(Al)']   $
    ,[ '53','3(Al)']   $
    ,[ '54','3(Al)']   $
    ,[ '88','4(FS)'  ] $
    ,[ '89','4(FS)'  ] $
    ,[ '90','4(FS)'  ] $
    ,['124','1(open)'] $
    ,['125','1(open)'] $
    ,['126','1(open)'] $
    ,['124','Spare'  ] $
    ,['125','Spare'  ] $
    ,['126','Spare'  ] $
    ,['124','Current'] $ 
    ,['125','Current'] $
    ,['126','Current']] 

tabfil='/tsw/dbase/tables/wl.tab'
dat=rd_tfile(tabfil,nocom='#')
dat=dat(2:n_elements(dat)-1)      ; skip the first two lines
cols=str2cols(dat,ncols=11)
qsfw1fw2=strtrim(cols(1,*),2) + strtrim(cols(3,*),2) + strtrim(cols(5,*),2)
mqs=strtrim(string(gtt_info(index,'mquad', dph=dph)),2)
mfw1=strtrim(string(format='(i)',gtt_info(index,'mfilt1', dph=dph)),2)
mfw2=strtrim(string(format='(i)',gtt_info(index,'mfilt2', dph=dph)),2)
nn=n_elements(mqs)
wlnam=strarr(nn)
for n=0,nn-1 do begin
  xqs=where(qs(0,*) eq mqs(n),cqs)
  if cqs eq 0 then goto, next_case
  xfw1=where(fw1(0,*) eq mfw1(n),cfw1)
  if cfw1 eq 0 then goto, next_case
  xfw2=where(fw2(0,*) eq mfw2(n),cfw2)
  if cfw2 eq 0 then goto, next_case
  for i=1, cqs do begin
    for j=1, cfw1 do begin
      for k=1, cfw2 do begin
        lookup=qs(1,xqs(i-1)) + fw1(1,xfw1(j-1)) + fw2(1,xfw2(k-1))
        x=where(qsfw1fw2 eq lookup, knt)
        if knt ne 0 then wlnam(n)=strtrim(cols(8,x(0)),2)
      endfor
    endfor
  endfor
  next_case:
endfor

if n_elements(wlnam) eq 1 then wlnam=wlnam(0)
return, wlnam
end
