function trace_auto_scale, index, data, outindex
;+
;   Name: trace_auto_scale
;
;   Purpose: Return scaled values of data image based on wavelength
;
;   Input Parameters:
;      index, data
;
;   History:
;	Written 12-May-98 by S.L.Freeland
;	13-May-98 (FZ)  - Changed scaling based on iwave lt 1000
;       25-May-98 S.L.Freeland - hook to CJS scalars
;-  
dark =85.

wave=gt_tagval(index,/wave_len)
if is_number(wave) then iwave=fix(wave)

case  1 of
  is_number(wave): retval=tracescale(data,/byte,/despike)  ; CJS routine
  else: begin
      retval=float(data)
      mindata=min(retval)
      retval=temporary(retval)-mindata
      retval=bytscl(alog10(temporary(retval)>.01))
  endcase
endcase

return,retval
end
