function trace_cen2pix, index, xpix=xpix, ypix=ypix 
;+
;   Name: trace_cen2pix
;
;   Purpose: trace xcen/ycen->SSW standard pixel coord (crval1/crval2)  
;
;   History:
;      24-April-1998 - S.L.Freeland (simplify read_trace<->ssw)
;      25-April-1998 - S.L.Freeland (adjust signs for wedge2solar update)
;  
;   Restrictions:
;      needs revisiting after wedge2solar,etc are blessed  
;-  
  
if not required_tags(index,'xcen,ycen,cdelt1,cdelt2,naxis1,naxis2',miss=miss) then begin 
  box_message,['The following required tags are missing',miss]
  return,-1
endif

if keyword_set(xpix) then begin 
  nn=gt_tagval(index,/naxis1)
  dn=gt_tagval(index,/cdelt1)
  cn=gt_tagval(index,/xcen)
endif else begin
  nn=gt_tagval(index,/naxis2)
  dn=gt_tagval(index,/cdelt2)
  cn=gt_tagval(index,/ycen)
endelse

dumn = nn*dn/2.
retval=.5*dn-dumn+cn

return,retval
end
