function trace_data_filter, index, data, quality=quality, $
		      good=good, bad=bad, count=count, $
	              median_delta=median_delta
;+
;   Name: trace_data_filter
;
;   Purpose: return subscripts of 'good' or 'bad' trace data
;-

if not required_tags(index,'wave_len,img_avg,img_dev',missing=missing) then begin
      box_message,['Missing required tags:',missing]
      return,-1
endif      

; method 1, compare img_dev to median(img_dev)
meddev=median(index.img_dev)
if n_elements(median_delta) eq 0 then median_delta=.1*meddev 
meddiff=abs(index.img_dev - meddev)
medbool=meddiff le median_delta
dgood=where(medbool,count)
dbad=where(1-medbool,bcount)
retval=dgood

if keyword_set(bad) then begin
   retval=dbad
   count=bcount
endif   

return,retval
end


