pro trace_last_movie_queue, queue_days, topdir=topdir, testing=testing, $
			    force_index=force_index
;+
;   Name: trace_last_movie_queue
;
;   Purpose: maintain queue of TRACE NRT movie directories
;
;
testing=keyword_set(testing)

if n_elements(queue_days) eq 0 then queue_days=3
if not data_chk(topdir,/string) then topdir=get_logenv('path_http')

movie_dirs=file_list(topdir,'last_movies_????????',/cd)
nmd=n_elements(movie_dirs)

; delete contents and directory any older than queue_days
for i=0, nmd-queue_days-1 do begin 
   cmd='rm -rf '+ movie_dirs(i)
   box_message,['Removing: ' + movie_dirs(i),cmd]
   if not testing then spawn,cmd
endfor

lmdir=concat_dir(topdir,'last_movies')
yesterdays=concat_dir(topdir,'last_movies_'+time2file(reltime(/yester),/date_only))

movie_dirs=reverse(file_list(topdir,'last_movies_????????',/cd))
break_file,movie_dirs,ll,pp,ff,ee,vv
navail=n_elements(movie_dirs)

if file_exist(lmdir) then begin
   move_cmd='mv -f '+ lmdir + ' ' + yesterdays
   mkdir_cmd='mkdir ' + lmdir
   box_message,['Moving last_movies -> today',move_cmd]
   if not testing then begin
       if not file_exist(yesterdays) then spawn,move_cmd
       if not file_exist(lmdir) then spawn,mkdir_cmd       
       indexf=concat_dir(lmdir,'index.html')
       html_doc,indexf,/header,title='Most Recent TRACE Movies'
        file_append,indexf,['Latest movies are currently processing - check back soon', $
   	  '<br>Movies from recent past are currently available at:<p>', $
          '<br><a href="/TRACE/'+ff+ee+'">' +ff+ee+'</a>' ]
       html_doc,indexf,/trailer
   endif
endif else box_message,'Not moving last_movies -> today'

return
end
