pro trace_write_genxcat, t0, t1, catdir=catdir, files=files, days=days
;
;+   Name: trace_write_genxcat2
;
;    Purpose: write trace 'catlog' files in genx format (via write_genxcat)
;
;    History:
;      30-Mar-1998 - S.L.Freeland
;       5-May-1998 - S.L.Freeland - extended keywords->SSW/pointing versoin  
;-
; cadence
; derive input files 

tdb=get_logenv('tdb')
if tdb(0) eq '' then tdb='/DataCenter/sswdb/tdb'     ; default->master
if not data_chk(catdir,/string) then catdir=concat_dir(tdb,'tcl')

envdir=get_logenv(catdir)
cdir=([catdir,envdir])(envdir ne '')           ; where to stickem
  
needfiles=1
case 1 of
   data_chk(files,/string): needfiles=0
   n_params() eq 1: grid=timegrid(t0,timegrid(t0,/day,/string),/day,/string)
   n_params() eq 2: grid=timegrid(t0,t1,/day,/string)   
   else: begin
      box_message,['Need either filelist or time range...', $
		   'IDL> trace_write_genxcat, t0, t1 [,days=days]']
      return
   endcase
endcase

ncats=n_elements(grid)>1

cattags=concat_dir('$TR_CAL_INFO','keywords_catalog2.tdb')

for i=0,ncats-1 do begin
  if needfiles then files=trace_files(grid(i))
  if files(0) eq '' then box_message='No files for : ' + grid(i) else begin
     box_message=['Processing files:',files,'']
     read_trace, files,-1, structures, tagfile=cattags,index0=index0    ; read/map->cat structures
     mxf_read_header,files,header,darr             ; get the dset array 

     outstr=add_tag(structures,0L,'IMAGE_SS')      ; add dset tag
     outstr.IMAGE_SS=darr.dset                     ; dset (position)->struct

     outstr=add_tag(outstr,0b,'COMP_CODE')
     outstr.COMP_CODE=gt_tagval(index0,/comp_code)
     write_genxcat, outstr, topdir=catdir, prefix='tcl'

;    stripped down catalog
     ssub='day,time,image_ss,comp_code,seqid,frm_num,wave_num,sou_area,img_min,img_max,img_avg,img_dev,percentd'
     soutstr=str_subset(outstr,ssub)
     write_genxcat, soutstr, topdir=str_replace(catdir,'tcl','tcs'), prefix='tcs'
   endelse
endfor

return
end
